#include "phpfiles.h"

void PHPFiles::phpHeader(StatementList *phpOut) const{
    phpOut->push_front(new Constant("$smarty = new Smarty;\n"));
    phpOut->push_front(new Constant("require 'libs/Smarty.class.php';\n"));
    phpOut->push_front(new Constant("<?php\n"));
};

void PHPFiles::phpFooter(StatementList *phpOut, const string tplName) const{
    phpOut->push_back(new Constant("$smarty->display('"+tplName+"');\n"));
    phpOut->push_back(new Constant("?>\n"));
};
