#ifndef _RTREESINGLECONTEXTRULE_H_
#define _RTREESINGLECONTEXTRULE_H_

#include "rtreecontextrule.h"

/// Used for refactoring statements that are executed only once e.g. statements in if.
class SingleContextRule : public ContextRule{

 public:
  /// Constructor
  SingleContextRule(List* iphpInPattern, List* itplOutPattern, List* iphpOutPattern) ;

  virtual Rule* copy();

  virtual RuleContext* generateSubcontext(RuleContext *context, const Node::Assignment &assign) const;

  virtual ostream& print (ostream& os) const;
};


#endif
